Bug 63171 - kapabilities is broken
kapabilities is broken
Status: CLOSED RAWHIDE
Product: Red Hat Public Beta
Classification: Retired
Component: kapabilities (Show other bugs)
skipjack-beta2
All Linux
high Severity high
: ---
: ---
Assigned To: wdovlrrw
:
Depends On:
Blocks: 61901
  Show dependency treegraph
 
Reported: 2002-04-10 16:16 EDT by Nalin Dahyabhai
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-14 05:59:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Nalin Dahyabhai 2002-04-10 16:16:22 EDT
The kapabilities package has problems.

The listbox on the left contains descriptions for services, but items like "Set
up Video4Linux" are too vague.

The kapabilities program modifies PAM configuration files, and spews the
contents of files it saves to the terminal when doing so.

When the "Apply" button is pressed, the configuration for the selected service
is saved, but nothing else is, and the GUI doesn't give any indication of this.
Comment 1 Panu Matilainen 2002-04-14 05:59:25 EDT
Also the user & group lists should have labels saying which one is which. Surely
one can figure it out but it's not "obvious" as each user has their own group
too. GUI-issues aside the ability to configure capabilities is a *very* nice
addition!
Comment 2 Bernhard Rosenkraenzer 2002-04-15 08:33:58 EDT
You get a more detailed description ("Allow users to set up Video4Linux   
(allows watching TV on the screen, if you have the right hardware)" on the   
upper-right.   
  
The debug spewage is fixed in 1.0.0-3. 
 
I've replaced the Apply button with separate Apply All and Apply Current 
buttons in 1.0.0-3. 
 
Labels for the Users and Groups listboxes are a good idea in general, but it's 
too late for this change ATM. 
 
Comment 3 Nalin Dahyabhai 2002-04-15 18:39:04 EDT
Why is it too late?  The package is not translated.

Note You need to log in before you can comment on or make changes to this bug.